# Uses of Interface
com.sun.source.tree.MemberSelectTree

Packages that use MemberSelectTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of MemberSelectTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type MemberSelectTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitMemberSelect(MemberSelectTree node, P p)`
Visits a MemberSelectTree node.

## Uses of MemberSelectTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type MemberSelectTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitMemberSelect(MemberSelectTree node, P p)`
Visits a MemberSelectTree node.
`R`
TreeScanner.`visitMemberSelect(MemberSelectTree node, P p)`
Visits a MemberSelectTree node.